/* This enable scroll-snap - experimenting feature*/


/*html{
    font-family: 'Didact Gothic', sans-serif;
    scroll-snap-type: both mandatory;
}*/

body {
    font-family: 'Didact Gothic', sans-serif;
    z-index: 2;
    margin: 0px;
    min-width: 526px;
}


/*css relativi al menu*/

#openNav {
    position: fixed;
    left: 15px;
    top: 10px;
    z-index: 10;
    text-shadow: 1px 1px 2px rgba(0, 0, 0, 1);
}

.overlay {
    height: 100%;
    width: 0;
    position: fixed;
    z-index: 1;
    top: 0;
    left: 0;
    background-color: #777;
    overflow-x: hidden;
    transition: 0.5s;
}

.overlay-content {
    position: relative;
    top: 25%;
    width: 100%;
    text-align: center;
    margin-top: 30px;
}

.overlay a {
    padding: 8px;
    text-decoration: none;
    font-size: 36px;
    color: #D1D1D1;
    display: block;
    transition: 0.5s;
}

.overlay a:hover,
.overlay a:focus {
    color: #f1f1f1;
}

.overlay .closebtn {
    position: absolute;
    top: 20px;
    right: 45px;
    font-size: 60px;
}

@media screen and (max-height: 450px) {
    .overlay a {
        font-size: 20px
    }
    .overlay .closebtn {
        font-size: 40px;
        top: 15px;
        right: 35px;
    }
}


/*css parallax e le sezioni*/

.parallax {
    /*background-color: #000000;*/
    min-height: 450px;
    background-attachment: fixed;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    margin: 0px;
    height: 100%;
    width: 100%;
}

#immaginedisfondo {
    background-image: url("jpeg/sfondo.jpg");
    background-repeat: no-repeat;
    background-size: cover;
    height: 100%;
    width: 100%;
    position: fixed;
    left: 100px;
    top: 0px;
    opacity: 0.5;
    z-index: -1;
}

.responsive-background {
    width: auto;
    height: auto;
}


/*.rowspacer{
    scroll-snap-align: start;
}*/

#inizio {
    scroll-snap-stop: always;
    /*scroll-snap-align: start;*/
    height: 100vh;
    min-height: 700px;
    color: #FFFFFF;
    font-size: 50px;
    padding-right: 25px;
    padding-top: 35%;
    /* Permalink - use to edit and share this gradient: https://colorzilla.com/gradient-editor/#000000+0,000000+100&0+0,1+100 */
    background: -moz-linear-gradient(top, rgba(0, 0, 0, 0) 0%, rgba(0, 0, 0, 1) 100%);
    /* FF3.6-15 */
    background: -webkit-linear-gradient(top, rgba(0, 0, 0, 0) 0%, rgba(0, 0, 0, 1) 100%);
    /* Chrome10-25,Safari5.1-6 */
    background: linear-gradient(to bottom, rgba(0, 0, 0, 0) 0%, rgba(0, 0, 0, 1) 100%);
    /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
    filter: progid: DXImageTransform.Microsoft.gradient(startColorstr='#00000000', endColorstr='#000000', GradientType=0);
    /* IE6-9 */
}

#sezione1 {
    /*scroll-snap-align: start;*/
    background-color: black;
    /*height: 100%;*/
    /*height: 100vh;
    width: 100vw;*/
    padding-left: 10vw;
    padding-right: 10vw;
}

#titolosezione1 {
    height: none;
    text-align: left;
    font-weight: bolder;
    /*padding-left: 100px;*/
    color: #FFFFFF;
    font-size: 100px;
    opacity: 0.3;
    width: 450px;
    cursor: hand;
    cursor: pointer;
    text-decoration: none;
}

#titolosezione1:hover {
    opacity: 0.5;
}

.testosezione1 {
    color: #FFFFFF;
    font-size: 24px;
    float: left;
    width: 100%;
    opacity: 0.8;
    text-align: end;
    padding-top: 80px;
}


/*il testo non è posizionato correttamente e al dimensionamento della pagina sposta le immagini*/

#titolopagine {
    height: none;
    text-align: left;
    font-weight: bolder;
    /*padding-left: 100px;*/
    color: #FFFFFF;
    font-size: 100px;
    opacity: 0.3;
    width: 450px;
    text-decoration: none;
}

#titolopagine:hover {
    opacity: 0.5;
}

#sezione2 {
    /*scroll-snap-align: start;*/
    background-color: black;
    /*width: 100vh;
    height: 100vw;*/
}

.bottom-left {
    position: absolute;
    bottom: 60px;
    left: 16px;
}

#sezione3 {
    /*scroll-snap-align: start;*/
    background-color: black;
    height: 100%;
    /*height: 100vh;
    width: 100vw;*/
    padding-left: 10vw;
    padding-right: 10vw;
}

#titolosezione3 {
    height: none;
    text-align: left;
    font-weight: bolder;
    /*padding-left: 100px;*/
    color: #FFFFFF;
    font-size: 100px;
    opacity: 0.3;
    width: 450px;
    text-decoration: none;
}

#titolosezione3:hover {
    opacity: 0.5;
}

#testosezione3 {
    font-size: 30px;
    color: #FFFFFF;
    text-align: right;
    margin: none;
    padding-top: 180px;
    /*padding-left: 800px;*/
}


/*Social alla fine della pagina contact*/

.fa {
    padding: 10px;
    font-size: 30px;
    width: 50px;
    height: 50px;
    text-align: center;
    text-decoration: none;
    margin: 5px 2px;
    border-radius: 50%;
}

.fa:hover {
    opacity: 0.5;
    color: #caccca;
    text-decoration: none;
}

.fa-facebook {
    background: #3B5998;
    color: white;
}

.fa-linkedin {
    background: #007bb5;
    color: white;
}

.fa-instagram {
    background: #DD2A7B;
    color: white;
}

#titolosezione {
    height: 100%;
    color: #FFFFFF;
    font-size: 100px;
    opacity: 0.15;
}

.divimageleft {
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    height: fit-content;
    width: auto;
    /*float: left;*/
    /*background-color:red;*/
    /*overflow: hidden;
    border-right: 2px solid black;*/
    cursor: hand;
    cursor: pointer;
}

.divimageright2,
.divimageleft2 {
    overflow: hidden;
    padding-left: 0px;
    height: 100vh;
    width: auto;
}

.section2images {
    height: 100vh;
    width: auto;
    opacity: 0.8;
}

@media(min-width:992px) {
    .divimageleft2 {
        padding-left: 0px!important;
        padding-right: 0px!important;
        border-right: 2px solid black!important;
    }
    .divimageright2 {
        padding-left: 0px!important;
        border-left: 2px solid black!important;
    }
}

@media(max-width:992px) {
    .divimageleft2 {
        padding-left: 0px!important;
        height: auto;
        width: 100vw;
    }
    .divimageright2 {
        padding-left: 0px!important;
        border-top: 10px solid black!important;
        height: auto;
        width: 100vw;
    }
    .section2images {
        height: auto;
        width: 100vw;
    }
}

.section2images:hover {
    opacity: 1;
}

.imageleft {
    /*float: right;*/
    right: 0px;
    height: 100%;
    width: auto;
    opacity: 0.7;
}

.imageleft:hover {
    opacity: 1;
}

.imageright {
    float: left;
    left: 0px;
    height: 100%;
    width: auto;
    opacity: 0.7;
}

.imageright:hover {
    opacity: 1;
}

.divimageright {
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    height: 100%;
    width: 50%;
    float: right;
    /*background-color:blue;*/
    overflow: hidden;
    border-left: 2px solid black;
    cursor: hand;
    cursor: pointer;
}

.descriptionimage {
    position: relative;
    margin-left: 40px;
    margin-top: -80px;
    font-weight: bolder;
    color: white;
    text-shadow: 1px 1px 0px rgba(0, 0, 0, 0.6);
    /*text-shadow: -1px -1px 0px rgba(0,0,0,0.6);*/
    font-size: 35px;
}


/*.img_about_index {
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    height: 60%;
    width: 20%;
    float: left;
    overflow: hidden;
    border-right: 2px solid black;
}

.img_about_index_left {
    height: 100%;
    width: auto;
    opacity: 0.8;
}*/

.img_about_index {
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    /*height: 120%;
    width: 120%;
    float: right;*/
    overflow: hidden;
    border-right: 2px solid black;
    /* margin-top: -100px;
    margin-right: 150px;*/
}

.img_about_index_right {
    height: 100vh;
    width: auto;
    opacity: 0.8;
}

.img_contact {
    height: auto;
    width: 100%;
}


/*bottone per andare giù photofolio*/

.btndown {
    position: absolute;
    top: 96%;
    left: 50%;
    transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    background-color: black;
    opacity: 0.3;
    color: white;
    font-size: 16px;
    padding: 12px 24px;
    border: none;
    cursor: pointer;
    border-radius: 5px;
    text-align: center;
}

.btndown:hover {
    opacity: 0.7;
}